import { jsx as _jsx } from "react/jsx-runtime";
import { Button } from '../../Button';
import { useViewportType } from '../../useViewportType';
export const BannerActionButton = ({ children, ...restProps }) => {
    const { isMobile } = useViewportType();
    return (_jsx(Button, { ...restProps, fullWidth: isMobile, size: "large", children: children }));
};
